> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadlex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Deal Note

> Create a note attached to a specific deal

## Request

### Path Parameters

<ParamField path="id" type="string" required>
  Deal ID (UUID)
</ParamField>

### Body Parameters

<ParamField body="title" type="string" required>
  Note title
</ParamField>

<ParamField body="content" type="string">
  Note content (max 10,000 characters)
</ParamField>

### Headers

```
Authorization: Bearer wbk_your_api_key_here
Content-Type: application/json
```

## Response

<ResponseField name="data" type="object">
  <Expandable title="properties">
    <ResponseField name="id" type="string">Note ID</ResponseField>
    <ResponseField name="title" type="string">Note title</ResponseField>
    <ResponseField name="content" type="string">Note content</ResponseField>
    <ResponseField name="created_date" type="string">ISO 8601 timestamp</ResponseField>
  </Expandable>
</ResponseField>

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://data.leadlex.com/functions/v1/api-gateway/v1/deals/deal-001/notes \
    -H "Authorization: Bearer wbk_your_api_key_here" \
    -H "Content-Type: application/json" \
    -d '{ "title": "Pricing discussion", "content": "Client agreed to annual billing" }'
  ```

  ```python Python theme={null}
  import requests

  API_KEY = "wbk_your_api_key_here"
  BASE_URL = "https://data.leadlex.com/functions/v1/api-gateway"

  headers = {"Authorization": f"Bearer {API_KEY}", "Content-Type": "application/json"}
  response = requests.post(f"{BASE_URL}/v1/deals/deal-001/notes", headers=headers, json={
      "title": "Pricing discussion",
      "content": "Client agreed to annual billing"
  })
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://data.leadlex.com/functions/v1/api-gateway/v1/deals/deal-001/notes',
    {
      method: 'POST',
      headers: {
        'Authorization': 'Bearer wbk_your_api_key_here',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({ title: 'Pricing discussion', content: 'Client agreed to annual billing' })
    }
  );
  const { data } = await response.json();
  ```
</CodeGroup>

## Errors

| Status | Code                       | Description                      |
| ------ | -------------------------- | -------------------------------- |
| 400    | `validation_error`         | Missing `title`                  |
| 404    | `not_found`                | Deal not found                   |
| 403    | `insufficient_permissions` | Missing `deals:write` permission |
